Package ch.qos.logback.classic.layout

## Class TTLLLayout

- java.lang.Object
- - ch.qos.logback.core.spi.ContextAwareBase
  - - ch.qos.logback.core.LayoutBase<ILoggingEvent>
    - - ch.qos.logback.classic.layout.TTLLLayout

All Implemented Interfaces:
  `Layout<ILoggingEvent>`, `ContextAware`, `LifeCycle`

    public class TTLLLayout
    extends LayoutBase<ILoggingEvent>

A layout with a fixed format. The output is equivalent to that produced by `PatternLayout` with the pattern:

    %d{HH:mm:ss.SSS} [%thread] %-5level %logger{36} - %msg%n

TTLLLayout has the advantage of faster load time whereas `PatternLayout` requires roughly 40 milliseconds to load its parser classes. Note that the second run of PatternLayout will be much much faster (approx. 10 micro-seconds).

Fixed format layouts such as TTLLLayout should be considered as an alternative to PatternLayout only if the extra 40 milliseconds at application start-up is considered significant.

Since:
  1.1.6
Author:
  Ceki Gülcü

### Field Summary

### Fields inherited from class ch.qos.logback.core.LayoutBase

`started`

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

### Constructor Summary

Constructors
`TTLLLayout()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `doLayout​(ILoggingEvent event)` Transform an event (of type Object) and return it as a String after appropriate formatting.
`void` `start()`

### Methods inherited from class ch.qos.logback.core.LayoutBase

`getContentType, getContext, getFileFooter, getFileHeader, getPresentationFooter, getPresentationHeader, isStarted, setContext, setFileFooter, setFileHeader, setPresentationFooter, setPresentationHeader, stop`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getDeclaredOrigin, getStatusManager`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface ch.qos.logback.core.spi.ContextAware

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn`

### Constructor Detail

#### TTLLLayout

    public TTLLLayout()

### Method Detail

#### start

    public void start()

Specified by:
  `start` in interface `LifeCycle`
Overrides:
  `start` in class `LayoutBase<ILoggingEvent>`

#### doLayout

    public java.lang.String doLayout​(ILoggingEvent event)

Description copied from interface: `Layout`
Transform an event (of type Object) and return it as a String after appropriate formatting.

Taking in an object and returning a String is the least sophisticated way of formatting events. However, it is remarkably CPU-effective.

Parameters:
  `event` - The event to format
Returns:
  the event formatted as a String